export declare const staticProvisionParams: {
    workspaceMountConsistency: "cached";
    defaultUserEnvProbe: "loginInteractiveShell";
    logFormat: "text";
    removeExistingContainer: boolean;
    buildNoCache: boolean;
    expectExistingContainer: boolean;
    postCreateEnabled: boolean;
    skipNonBlocking: boolean;
    prebuild: boolean;
    additionalMounts: never[];
    updateRemoteUserUIDDefault: "on";
    additionalCacheFroms: never[];
    dockerPath: undefined;
    dockerComposePath: undefined;
    containerDataFolder: undefined;
    containerSystemDataFolder: undefined;
    configFile: undefined;
    overrideConfigFile: undefined;
    persistedFolder: undefined;
    terminalDimensions: undefined;
    useBuildKit: "auto";
};
export declare const staticExecParams: {
    'user-data-folder': undefined;
    'docker-path': undefined;
    'docker-compose-path': undefined;
    'container-data-folder': undefined;
    'container-system-data-folder': undefined;
    'id-label': undefined;
    config: undefined;
    'override-config': undefined;
    'terminal-rows': undefined;
    'terminal-columns': undefined;
    'remote-env': undefined;
    'container-id': undefined;
    'mount-workspace-git-root': boolean;
    'log-level': "info";
    'log-format': "text";
    'default-user-env-probe': "loginInteractiveShell";
};
export interface LaunchResult {
    disposables?: (() => Promise<unknown> | undefined)[];
    containerId: string;
    remoteUser?: string;
    remoteWorkspaceFolder?: string | undefined;
    finishBackgroundTasks?: () => Promise<void>;
    containerHost?: string;
    containerPort?: any;
}
export declare const testLibraryScript = "\n#!/bin/bash\nSCRIPT_FOLDER=\"$(cd \"$(dirname $0)\" && pwd)\"\nUSERNAME=${1:-root}\n\nif [ -z $HOME ]; then\n    HOME=\"/root\"\nfi\n\nFAILED=()\n\nechoStderr()\n{\n    echo \"$@\" 1>&2\n}\n\ncheck() {\n    LABEL=$1\n    shift\n    echo -e \"\n\"\n    echo -e \"\uD83D\uDD04 Testing '$LABEL'\"\n    echo -e '\\033[37m'\n    if \"$@\"; then \n        echo \"\u2705  Passed '$LABEL'!\"\n        return 0\n    else\n        echoStderr \"\u274C $LABEL check failed.\"\n        FAILED+=(\"$LABEL\")\n        return 1\n    fi\n}\n\ncheckMultiple() {\n    PASSED=0\n    LABEL=\"$1\"\n    echo -e \"\n\"\n    echo -e \"\uD83D\uDD04 Testing '$LABEL'.\"\n    shift; MINIMUMPASSED=$1\n    shift; EXPRESSION=\"$1\"\n    while [ \"$EXPRESSION\" != \"\" ]; do\n        if $EXPRESSION; then ((PASSED++)); fi\n        shift; EXPRESSION=$1\n    done\n    if [ $PASSED -ge $MINIMUMPASSED ]; then\n        echo \"\u2705 Passed!\"\n        return 0\n    else\n        echoStderr \"\u274C '$LABEL' check failed.\"\n        FAILED+=(\"$LABEL\")\n        return 1\n    fi\n}\n\nreportResults() {\n    if [ ${#FAILED[@]} -ne 0 ]; then\n        echo -e \"\n\"\n        echoStderr -e \"\uD83D\uDCA5  Failed tests: ${FAILED[@]}\"\n        exit 1\n    else\n        echo -e \"\n\"\n        echo -e \"\uD83D\uDCAF Passed!\"\n        exit 0\n    fi\n}";
